%global debug_package %{nil}
%undefine _hardened_build

Name:           btop
Version:        1.4.3
Release:        1%{?dist}
Summary:        Modern and colorful command line resource monitor that shows usage and stats

# The entire source code is ASL 2.0 except:
# include/widechar_width.hpp - Public Domain
License:        Apache-2.0 AND LicenseRef-Fedora-Public-Domain
URL:            https://github.com/aristocratos/btop
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  lowdown
%if 0%{?el8}
BuildRequires:  gcc-toolset-12-gcc-c++
BuildRequires:  gcc-toolset-12-annobin-plugin-gcc
BuildRequires:  gcc-toolset-12-binutils
%endif
%if 0%{?el9}
BuildRequires:  gcc-toolset-13-gcc-c++
BuildRequires:  gcc-toolset-13-annobin-plugin-gcc
BuildRequires:  gcc-toolset-13-binutils
%endif

# gpu support
%if 0%{?fedora}
%ifnarch i686 s390x
BuildRequires:  rocm-smi-devel
%endif
%endif

Requires:       hicolor-icon-theme

# Bundling was chosen for widecharwidth as it is not versioned upstream
# and doesn't appear to be a widely-used lib.
Provides:       bundled(widecharwidth)

%description
Resource monitor that shows usage and stats for processor,
memory, disks, network and processes.

C++ version and continuation of bashtop and bpytop.

%prep
%autosetup


%build
%{?el8:. /opt/rh/gcc-toolset-12/enable}
%{?el9:. /opt/rh/gcc-toolset-13/enable}

# to build debuginfo
export CXXFLAGS="${CXXFLAGS} -g"
%make_build


%install
%make_install PREFIX=%{_prefix}
rm -f %{buildroot}%{_datadir}/btop/README.md
desktop-file-validate %{buildroot}%{_datadir}/applications/btop.desktop


%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/%{name}
%{_datadir}/applications/btop.desktop
%{_datadir}/btop
%{_datadir}/icons/hicolor/*/apps/btop.*
%{_mandir}/man1/%{name}.1.gz

%changelog
%changelog
* Tue Jun 17 2025 niohiani <niohiani@fedoraproject.org> - 1.4.3-1
- btop 1.4.3

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Nov 10 2022 niohiani <niohiani@fedoraproject.org> - 1.2.13
- btop 1.2.13

* Mon Oct 24 2022 niohiani <niohiani@fedoraproject.org> - 1.2.12
- btop 1.2.12

* Mon Aug 29 2022 niohiani <niohiani@fedoraproject.org> - 1.2.9-1
- btop 1.2.9

* Thu Jul 7 2022 niohiani <niohiani@fedoraproject.org> - 1.2.8-1
- btop 1.2.8

* Sun Jun 12 2022 Antoine Gourlay <antoine@gourlay.fr> - 1.2.7-1
- btop 1.2.7

* Wed Apr 13 2022 Antoine Gourlay <antoine@gourlay.fr> - 1.2.6-1
- btop 1.2.6

* Sun Mar 06 2022 Antoine Gourlay <antoine@gourlay.fr> - 1.2.5-1
- btop 1.2.5

* Sun Feb 27 2022 Antoine Gourlay <antoine@gourlay.fr> - 1.2.4-1
- btop 1.2.4

* Tue Feb 15 2022 Antoine Gourlay <antoine@gourlay.fr> - 1.2.3-1
- btop 1.2.3

* Mon Feb 14 2022 Antoine Gourlay <antoine@gourlay.fr> - 1.2.2-2
- add CentOS-Stream 8 support

* Sun Feb 13 2022 Antoine Gourlay <antoine@gourlay.fr> - 1.2.2-1
- btop 1.2.2

* Fri Feb 11 2022 Antoine Gourlay <antoine@gourlay.fr> - 1.2.1-1
- btop 1.2.1

* Sun Jan 16 2022 Antoine Gourlay <antoine@gourlay.fr> - 1.2.0-1
- initial packaging
